Permalink
Browse files

Sync with x11 overlay

  • Loading branch information...
1 parent ff5d9e1 commit c95ff9624ee0b64026058d0ba1fc750d75b332ca @FireBurn committed Sep 1, 2012
Showing with 20 additions and 23 deletions.
  1. +5 −7 media-libs/mesa-32bit/mesa-32bit-9999.ebuild
  2. +15 −16 x11-libs/libdrm-32bit/libdrm-32bit-9999.ebuild
@@ -32,12 +32,11 @@ else
${SRC_PATCHES}"
fi
-# Most of the code is MIT/X11.
-# ralloc is LGPL-3
+# The code is MIT/X11.
# GLES[2]/gl[2]{,ext,platform}.h are SGI-B-2.0
-LICENSE="MIT LGPL-3 SGI-B-2.0"
+LICENSE="MIT SGI-B-2.0"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~ia64-linux ~x86-linux ~sparc-solaris ~x64-solaris ~x86-solaris"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~ia64-linux ~x86-linux ~sparc-solaris ~x64-solaris ~x86-solaris"
INTEL_CARDS="i915 i965 intel"
RADEON_CARDS="r100 r200 r300 r600 radeon radeonsi"
@@ -76,7 +75,7 @@ REQUIRED_USE="
video_cards_vmware? ( gallium )
"
-LIBDRM_DEPSTRING=">=x11-libs/libdrm-32bit-2.4.34"
+LIBDRM_DEPSTRING=">=x11-libs/libdrm-32bit-2.4.39"
# not a runtime dependency of this package, but dependency of packages which
# depend on this package, bug #342393
EXTERNAL_DEPEND="
@@ -87,7 +86,6 @@ EXTERNAL_DEPEND="
# keep blocks in rdepend for binpkg
# gtest file collision bug #411825
RDEPEND="${EXTERNAL_DEPEND}
- dev-util/indent
!<x11-base/xorg-server-1.7
!<=x11-proto/xf86driproto-2.0.3
classic? ( app-admin/eselect-mesa )
@@ -99,7 +97,7 @@ RDEPEND="${EXTERNAL_DEPEND}
x11-libs/libXdamage
x11-libs/libXext
x11-libs/libXxf86vm
- >=x11-libs/libxcb-1.8
+ >=x11-libs/libxcb-1.8.1
d3d? ( app-emulation/wine )
vdpau? ( >=x11-libs/libvdpau-0.4.1 )
wayland? ( dev-libs/wayland )
@@ -16,7 +16,7 @@ else
SRC_URI="http://dri.freedesktop.org/${PN}/${P}.tar.bz2"
fi
-KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd ~x64-freebsd ~x86-freebsd ~amd64-linux ~x86-linux ~sparc-solaris ~x64-solaris ~x86-solaris"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~amd64-linux ~x86-linux ~sparc-solaris ~x64-solaris ~x86-solaris"
VIDEO_CARDS="exynos intel nouveau omap radeon vmware"
for card in ${VIDEO_CARDS}; do
IUSE_VIDEO_CARDS+=" video_cards_${card}"
@@ -28,36 +28,34 @@ RESTRICT="test" # see bug #236845
RDEPEND="dev-libs/libpthread-stubs
video_cards_intel? ( >=x11-libs/libpciaccess-0.10 )"
DEPEND="${RDEPEND}
- app-emulation/emul-linux-x86-xlibs
- >=x11-libs/libpciaccess-0.10"
+ app-emulation/emul-linux-x86-xlibs"
PATCHES=(
"${FILESDIR}"/${PN}-2.4.28-solaris.patch
)
-pkg_setup() {
- append-flags -m32
+src_prepare() {
+ if [[ ${PV} = 9999* ]]; then
+ # tests are restricted, no point in building them
+ sed -ie 's/tests //' "${S}"/Makefile.am
+ fi
+ xorg-2_src_prepare
+}
+src_configure() {
+ append-flags -m32
+
XORG_CONFIGURE_OPTIONS=(
--enable-udev
$(use_enable video_cards_exynos exynos-experimental-api)
$(use_enable video_cards_intel intel)
$(use_enable video_cards_nouveau nouveau)
$(use_enable video_cards_omap omap-experimental-api)
$(use_enable video_cards_radeon radeon)
- $(use_enable video_cards_vmware vmwgfx-experimental-api)
+ $(use_enable video_cards_vmware vmwgfx)
$(use_enable libkms)
)
-
- xorg-2_pkg_setup
-}
-
-src_prepare() {
- if [[ ${PV} = 9999* ]]; then
- # tests are restricted, no point in building them
- sed -ie 's/tests //' "${S}"/Makefile.am
- fi
- xorg-2_src_prepare
+ xorg-2_src_configure
}
src_install() {
@@ -89,3 +87,4 @@ src_install() {
rm -rf "${D}"/usr/include* || die "Removing includes failed."
}
+

0 comments on commit c95ff96

Please sign in to comment.